From a48ad5304993c62112f435ebed6834c07d9ce4f4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Mos=C3=A8=20Giordano?= <mose@gnu.org>
Date: Mon, 9 Jan 2023 21:19:02 +0100
Subject: [PATCH] Revert "[CompilerSupportLibraries_jll] Add libssp for more
 platforms (#48027)"

This reverts commit 0f2665f2ee66483afd7ec3ca94ab994efc93833c.
---
 .../src/CompilerSupportLibraries_jll.jl                     | 6 +-----
 stdlib/CompilerSupportLibraries_jll/test/runtests.jl        | 4 ++--
 2 files changed, 3 insertions(+), 7 deletions(-)

diff --git a/stdlib/CompilerSupportLibraries_jll/src/CompilerSupportLibraries_jll.jl b/stdlib/CompilerSupportLibraries_jll/src/CompilerSupportLibraries_jll.jl
index 0068414f942e8..e58e16a46df35 100644
--- a/stdlib/CompilerSupportLibraries_jll/src/CompilerSupportLibraries_jll.jl
+++ b/stdlib/CompilerSupportLibraries_jll/src/CompilerSupportLibraries_jll.jl
@@ -43,15 +43,11 @@ elseif Sys.isapple()
     const libgfortran = string("@rpath/", "libgfortran.", libgfortran_version(HostPlatform()).major, ".dylib")
     const libstdcxx = "@rpath/libstdc++.6.dylib"
     const libgomp = "@rpath/libgomp.1.dylib"
-    const libssp = "@rpath/libssp.0.dylib"
 else
     const libgcc_s = "libgcc_s.so.1"
     const libgfortran = string("libgfortran.so.", libgfortran_version(HostPlatform()).major)
     const libstdcxx = "libstdc++.so.6"
     const libgomp = "libgomp.so.1"
-    if libc(HostPlatform()) != "musl"
-        const libssp = "libssp.so.0"
-    end
 end
 
 function __init__()
@@ -63,7 +59,7 @@ function __init__()
     global libstdcxx_path = dlpath(libstdcxx_handle)
     global libgomp_handle = dlopen(libgomp)
     global libgomp_path = dlpath(libgomp_handle)
-    @static if libc(HostPlatform()) != "musl"
+    if Sys.iswindows()
         global libssp_handle = dlopen(libssp)
         global libssp_path = dlpath(libssp_handle)
     end
diff --git a/stdlib/CompilerSupportLibraries_jll/test/runtests.jl b/stdlib/CompilerSupportLibraries_jll/test/runtests.jl
index 840a36bdd8d49..de823c7f66654 100644
--- a/stdlib/CompilerSupportLibraries_jll/test/runtests.jl
+++ b/stdlib/CompilerSupportLibraries_jll/test/runtests.jl
@@ -1,13 +1,13 @@
 # This file is a part of Julia. License is MIT: https://julialang.org/license
 
-using Test, CompilerSupportLibraries_jll, Base.BinaryPlatforms
+using Test, CompilerSupportLibraries_jll
 
 @testset "CompilerSupportLibraries_jll" begin
     @test isfile(CompilerSupportLibraries_jll.libgcc_s_path)
     @test isfile(CompilerSupportLibraries_jll.libgfortran_path)
     @test isfile(CompilerSupportLibraries_jll.libstdcxx_path)
     @test isfile(CompilerSupportLibraries_jll.libgomp_path)
-    if libc(HostPlatform()) != "musl"
+    if Sys.iswindows()
         @test isfile(CompilerSupportLibraries_jll.libssp_path)
     end
 end
